From 436c7ef5af1565e66144ad04be1befe36b60d7e7 Mon Sep 17 00:00:00 2001
From: Yang Hamo Bai <hamo.by@gmail.com>
Date: Wed, 29 Jun 2011 20:26:46 +0800
Subject: [PATCH 02/12] Makefile: added support for the new xcompile script

Since we can detect both X86 and ARM compile toolchains
now, we need set the right toolchain variables in Makefile

Signed-off-by: Yang Hamo Bai <hamo.by@gmail.com>
---
 Makefile |   25 +++++++++++++++++++++++--
 1 files changed, 23 insertions(+), 2 deletions(-)

diff --git a/Makefile b/Makefile
index 5082f7e..dc1a856 100644
--- a/Makefile
+++ b/Makefile
@@ -40,7 +40,6 @@ export obj ?= build
 export objutil ?= $(obj)/util
 export objk := $(objutil)/kconfig
 
-
 export KCONFIG_AUTOHEADER := $(obj)/config.h
 export KCONFIG_AUTOCONFIG := $(obj)/auto.conf
 
@@ -68,7 +67,6 @@ HOSTCC = gcc
 HOSTCXX = g++
 HOSTCFLAGS := -I$(srck) -I$(objk) -g
 HOSTCXXFLAGS := -I$(srck) -I$(objk)
-LIBGCC_FILE_NAME := $(shell test -r `$(CC) -print-libgcc-file-name` && $(CC) -print-libgcc-file-name)
 
 DOXYGEN := doxygen
 DOXYGEN_OUTPUT_DIR := doxygen
@@ -101,6 +99,29 @@ else
 
 include $(HAVE_DOTCONFIG)
 
+ARCHDIR-$(CONFIG_ARCH_ARM) := arm
+ARCH-$(CONFIG_ARCH_ARM) := littlearm
+
+ARCHDIR-$(CONFIG_ARCH_X86) := x86
+ARCH-$(CONFIG_ARCH_X86) := i386
+
+ifeq ($(NO_$(ARCH-y)_TOOLCHAIN),1)
+$(error No suitable gcc found)
+else
+ifneq ($(INNER_SCANBUILD),y)
+CC := $(CC_$(ARCH-y))
+endif
+AS := $(AS_$(ARCH-y))
+AR := $(AR_$(ARCH-y))
+LD := $(LD_$(ARCH-y))
+STRIP := $(STRIP_$(ARCH-y))
+NM := $(NM_$(ARCH-y))
+OBJCOPY := $(OBJCOPY_$(ARCH-y))
+OBJDUMP := $(OBJDUMP_$(ARCH-y))
+endif
+
+LIBGCC_FILE_NAME := $(shell test -r `$(CC) -print-libgcc-file-name` && $(CC) -print-libgcc-file-name)
+
 ifneq ($(INNER_SCANBUILD),y)
 ifeq ($(CONFIG_COMPILER_LLVM_CLANG),y)
 CC:=clang -m32
-- 
1.7.6

